.col-xs-9
  h3(style="margin-top:0px", ng-click="viewData()" class="source-header")
    i.fa.fa-file-text-o(aria-hidden="true" ng-if="source.type.indexOf('text') > -1",style="margin-right:5px")
    i.fa.fa-twitter(aria-hidden="true" ng-if="source.type.indexOf('twitter') > -1",style="margin-right:5px")
    i.fa.fa-random(aria-hidden="true" ng-if="source.type.indexOf('blend') > -1",style="margin-right:5px")
    i.fa.fa-filter(aria-hidden="true" ng-if="source.type.indexOf('filter') > -1",style="margin-right:5px")
    strong {{source.name}}
    .small(style="margin-top:8px")
      | {{source.data_size}} records | type: {{source.type}}
.col-xs-3
  a.btn-sm.btn.btn-danger.pull-right(type='button', ng-click='deleteSource()', confirm="Are you sure you wish to delete this source?", ng-if="showDelete") 
    i.fa.fa-times
  a.btn-sm.btn.btn-info.pull-right(ng-click="revert()", href="#", style="margin-right:5px;", ng-hide="source._version <= 0", confirm="Are you sure you wish to revert this source to its previous state?")
    i.fa.fa-undo